// $Id: Print.java 13714 2011-08-31 17:28:28Z mike $

package org.faceless.pdf2.viewer2.feature;

import org.faceless.pdf2.viewer2.*;
import org.faceless.pdf2.*;
import javax.swing.*;
import javax.print.*;

/**
 * Create a button that opens a print dialog.
 *
 * <span class="featurename">The name of this feature is <span class="featureactualname">Print</span></span>
 * <p><i>This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.</i></p>
 * @since 2.8
 */
public class Print extends ViewerWidget implements DocumentPanelListener
{
    public Print() {
        super("Print");
        setButton("Document", "resources/icons/print.png", "PDFViewer.tt.Print");
        setMenu("File\tPrint", 'p');
    }

    public void initialize(PDFViewer viewer) {
        super.initialize(viewer);
        viewer.addDocumentPanelListener(this);
    }

    public void documentUpdated(DocumentPanelEvent event) {
        if (event.getType() == "activated" && event.getDocumentPanel().getPDF() != null) {
            EncryptionHandler handler = event.getDocumentPanel().getPDF().getEncryptionHandler();
            boolean enabled = handler==null || handler.hasRight("Print");
            event.getDocumentPanel().getViewer().getNamedComponent("ButtonPrint").setEnabled(enabled);
            event.getDocumentPanel().getViewer().getNamedComponent("MenuPrint").setEnabled(enabled);
        }
    }

    public void action(ViewerEvent event) {
        try {
            event.getDocumentPanel().print(null, null);
        } catch (Exception e) {
            Util.displayThrowable(e, event.getViewer());
        }
    }
}
